Hi @865966724. I noticed that you have only assigned a name to one of the two faces. Why not assign a name to the other face that you want to measure the angle to? If you did that, then you could supply the name that you assigned to that second face instead of the name of the work plane. I did that within your file, and that worked fine. But there are some language differences between my installation of Inventor and yours, so I am not sure if this attached copy of your file will be usable or not. I am using Inventor 2024.0.1, so if you are using an older version, you may not be able to open it properly. I named the other angled face "Face2". Then I created two more iLogic rules within that part that both seemed to work OK for me. However, the original one returns the value in document units, while the third iLogic rule will return the value in database units.
Edit: Just in case you can not open the file, below are the two other iLogic rules that I created, after assigning that name to the other face.
MessageBox.Show(Measure.Angle("面0","Face2"), "Title")
R = Measure.Angle("面0","Face2”)
Dim oNEs As NamedEntities = iLogicVb.Automation.GetNamedEntities(ThisDoc.Document)
Dim oFace1 As Face = oNEs.FindEntity("面0")
Dim oFace2 As Face = oNEs.FindEntity("Face2")
Dim dAngle As Double = ThisApplication.MeasureTools.GetAngle(oFace1, oFace2)
MsgBox("Angle = " & dAngle, vbInformation, "Angle")
Wesley Crihfield

(Not an Autodesk Employee)